jdk 7u55

Greek Forum
Post Reply
GRITAR
Posts: 102
Joined: 24. Oct 2012, 18:11

jdk 7u55

Post by GRITAR » 26. Apr 2014, 13:51

Καλησπέρα σε όλους.
Ψάχνοντας διάφορα προγράμματα στο Sourcery και προσπαθώντας να τα εγκαταστήσω, πέφτω πάνω σε ένα πακέτο με το όνομα jdk 7u55, το οποίο εμφανίζεται να είναι απαραίτητο να εγκατασταθεί ως εξάτυση των προγραμματων αυτών. Κατά την έναρξη της εγκατάστασης των προγραμμάτων αυτών (είτε μέσω του Sourcery, είτε μέσω τερματικού και χρησιμοποιώντας και το φανταστικό spi) εμφανίζεται η ένδειξη ότι υπήρξε σφάλμα κατά την λήψη των πηγαίων αρχείων για το jdk 7u55 και κατά συνέπεια σταματά και οποιαδήποτε περαιτέρω ενέργεια.Ενδεικτικά, τα προγράμματα για τα οποία αντιμετώπισα το παραπάνω πρόβλημα είναι: το ProjectLibre, το Org-mod και τα Freemind και Xmind. Γνωρίζετε πώς θα μπορούσε να επιλυθεί το παραπάνω πρόβλημα;

User avatar
laprjns
Salix Warrior
Posts: 1027
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: jdk 7u55

Post by laprjns » 26. Apr 2014, 18:26

Κατ 'αρχάς ζητώ συγγνώμη, δεν μιλώ ή να γράφω ελληνικά. Ας ελπίσουμε ότι το Google Translate θα λειτουργήσει.
Και οι δύο εφαρμογές, FreeMind και Xmind απαιτούν java runtime περιβάλλον (jre). Οι slackbuilds που καλούνται από Sourcery απαιτεί το κιτ ανάπτυξης java (jdk) πακέτο, το οποίο περιλαμβάνει το jre που απαιτούνται Freemind ένα Xmind. Όπως έχετε ανακαλύψει ότι υπάρχουν προβλήματα με την οικοδόμηση του πακέτου 7u55 jdk. Τα καλά νέα είναι ότι ένα Salix εγκατάσταση περιλαμβάνει ήδη openjre που είναι η open source ισοδυναμεί με jre. Τόσο Freemind και Xmind συνεργαστεί με openjre, οπότε το μόνο που χρειάζεται να τα εγκαταστήσετε χρησιμοποιώντας το «όχι εξαρτήσεις" επιλογή. Για να το κάνετε αυτό σε Sourcery, un-επιλέξτε το "Επίλυση Εξαρτήσεις" παράθυρο στην καρτέλα Dependencies του μενού Προτιμήσεις.

Ή μπορείτε να κάνετε χρησιμοποιώντας ένα τερματικό ως εξής:

Code: Select all

 sudo slapt-src --no-dep --install xmind freemind 
In English
First my apologies, I do not speak or write Greek. Hopefully Google Translate will work.
Both applications, FreeMind and Xmind require java runtime environment(jre). The slackbuilds that are being called by Sourcery require the java development kit (jdk) package, which includes the jre that Freemind an Xmind required. As you have found out there are problems with building the jdk 7u55 package. The good news is that a Salix install already includes openjre which is the open source equivalent to jre. Both Freemind and Xmind work with openjre, so you only need to install them using the "no dependencies" option. To do this in Sourcery, un-select the "Resolve Dependencies" box in the Dependencies tab of the Preference menu option.

Or you can do using a terminal as follows:

Code: Select all

 sudo slapt-src --no-dep --install xmind freemind
Image

GRITAR
Posts: 102
Joined: 24. Oct 2012, 18:11

Re: jdk 7u55

Post by GRITAR » 26. Apr 2014, 19:11

Laprjns
Thank you for your immediate help to my problem. I knew about the openjre package, that exists to the Salix repositories but there was no posibility to find out that i had to un-select the "Resolve Dependencies" using the Sourcery. I followed your steps and i managed to install Xmind succesfully. So consider that the problem has been solved.
Thank you again and have a nice night.

Post Reply